//-----------------------------------------------------------------------------------
//GLOBAL VARS
//-----------------------------------------------------------------------------------
var DATE_FORMAT = "dd.mm.yyyy", CURRENCY_FORMAT = " $";
var EMPTY_ROW = "no filter";
//-----------------------------------------------------------------------------------
//TABLE DEFINITION
//-----------------------------------------------------------------------------------
var gridDef = {
	amountPerPage : 30,
	useMultiSort : true,
	datatype : 0,
	data : [["1", "Stiles James", "01.01.2002", "jstiles@necasting.com", "270 $"],
	["2", "Alexander Jacklynn", "12.05.2003", "speedracer1979@iwon.com", " $"],
	["3", "Martin Barney", "01.01.2002", "bmartin1@maine.rr.com", "92 $"],
	["4", "Gelinas Patricia", "18.07.2003", "pattigelinas@hotmail.com", "364 $"],
	["5", "Cooke Dee", "02.05.2002", "findDeeCooke@aol.com", "74 $"],
	["6", "Greiner Andrew", "08.01.2003", "andy_greiner@hotmail.com", " $"],
	["7", "Maillet Chad", "01.01.2002", "ChadRM@rccw.com", "265 $"],
	["8", "Batson Alecia", "01.01.2002", "acbatson@yahoo.com", " $"],
	["9", "Gato Timothy", "01.01.2002", "tgato2@maine.rr.com", "60 $"],
	["10", "Wheeler Skip", "01.01.2002", "skipw47@aol.com", "59 $"],
	["11", "Davis Mackenzie", "01.01.2002", "mackenziecd@rccw.com", "527 $"],
	["12", "Hatch Jennie", "01.01.2002", "JHatchling@aol.com", "529 $"],
	["13", "picano anthony", "06.01.2003", "t_Picano@yahoo.com", " $"],
	["14", "Bernard Ashley", "11.10.2003", "Twiceblessedmum@lycos.com", "380 $"],
	["15", "Masabny Rob", "01.01.2002", "masabny@yahoo.com", "38 $"],
	["16", "Philbrick John", "01.01.2002", "jphilbri@maine.rr.com", "452 $"],
	["17", "Tella Bob", "01.01.2002", "bobtella@aol.com", "484 $"],
	["18", "Keister Jennifer", "07.10.2002", "jenniferkeister@hotmail.com", " $"],
	["19", "Doherty Jr. Billy", "30.08.2003", "Livnagdhi@Yahoo.com", "391 $"],
	["20", "Lozeau Danielle", "27.08.2003", "JuJuBean0911@hotmail.com", "473 $"],
	["21", "Barnes Anastasia", "01.01.2002", "anisings@aol.com", "82 $"],
	["22", "Zanidakis Zoe", "12.08.2003", "captzaz@yahoo.com", "398 $"],
	["23", "Price Dennis", "26.08.2003", "dennisaprice1@yahoo.com", " $"],
	["24", "Morrison Christine", "17.08.2003", "diamond_princess_bitch2003@yahoo", " $"],
	["25", "Ann Rachael", "13.08.2003", "dramaqueen4002002@yahoo.com", " $"],
	["26", "Brodsky Jason", "21.08.2003", "Cat-Lover464@comcast.net", "367 $"],
	["27", "Dow Scott", "18.12.2002", "scottkd@hotmail.com", "239 $"],
	["28", "Perillo Andy", "01.01.2002", "pperillo@bellatlantic.net", "61 $"],
	["29", "Burgess Terry", "01.01.2002", "taburgess81@yahoo.com", " $"],
	["30", "Vallory Amanda", "23.08.2003", "strangeemily@vampirefreaks.com", "369 $"],
	["31", "wentworth brendan", "02.01.2004", "bmwtrd@hotmail.com", " $"],
	["32", "Ziobro Peter", "27.10.2003", "cobra9498@comcast.net", "382 $"],
	["33", "Winters Scott", "01.01.2002", "swinters59@hotmail.com", "368 $"],
	["34", "Shea Kevin", "03.11.2003", "krustyshea@aol.com", "411 $"],
	["35", "Bowring Tina", "07.08.2003", "tbowring@tds.net", "496 $"],
	["36", "Roosevelt Maura", "06.08.2003", "mar343@nyu.edu", " $"],
	["37", "Payne Christopher", "07.01.2003", "cpayne@pipeline.une.edu", " $"],
	["38", "peterson william", "06.08.2003", "bbrodney@aol.com", "378 $"],
	["39", "Childers Eva", "03.01.2004", "jfchilders@comcast.net", " $"],
	["40", "Meyer Richard", "16.09.2002", "Richard.Meyer@maine.edu", "94 $"],
	["41", "Berkrot Peter", "19.09.2002", "newvoices@juno.com", " $"],
	["42", "Currier Justine/Janelle", "01.01.2002", "RAM2500@attbi.com", "110 $"],
	["43", "Perry Kevin", "01.01.2002", "kevin@kevinaperry.com", "68 $"],
	["44", "LOMBARDI TOM", "04.08.2003", "LOMBARDI@RAGINGBULL.COM", "253 $"],
	["45", "Steele William", "01.01.2002", "wsteele@usm.maine.edu", "109 $"],
	["46", "Smith-Lycette Monique", "01.01.2002", "nickyjsmith@aol.com", "77 $"],
	["47", "Boiros Ashleigh", "06.06.2002", "n/a", "19 $"],
	["48", "Peters Ellen", "28.04.2003", "cpeters@bates.edu", "152 $"],
	["49", "Gorgone Dan", "13.08.2002", "dan@randomfoo.com", "408 $"],
	["50", "Barclay Roberta", "27.07.2002", "r.baclay@worldnet.att.net", "107 $"],
	["51", "Sawyer John", "01.01.2002", "jsawyer1@email.com", "108 $"],
	["52", "Donlan Melanie", "28.08.2002", "melagreg@aol.com", "46 $"],
	["53", "Messier Michael", "05.08.2002", "messierfilms@yahoo.com", "25 $"],
	["54", "Allen Candice", "01.08.2003", "cfahooligan@hotmail.com", " $"],
	["55", "Hadlock Nathan", "01.08.2003", "nathanhadlock@hotmail.com", "143 $"],
	["56", "Coltart Austin", "12.10.2003", "austin@monvegasproductions.com", "406 $"],
	["57", "Monkiewicz Nicole", "23.08.2002", "Nikita2311@aol.com", "401 $"],
	["58", "Kiedrowski Meg", "15.08.2002", "megk@rcn.com", "512 $"],
	["59", "Paulin Amy", "18.08.2002", "americhina@hotmail.com", " $"],
	["60", "Corlin Laura", "15.08.2002", "starmightfoundation@hotmail.com", "34 $"],
	["61", "Parks Suzanne", "16.08.2002", "suzanne.d.parks@aexp.com", "528 $"],
	["549", "Abrams Mike", "02.03.2004", "michael_abrams@emerson.edu", " $"],
	["550", "Meany Lauren", "02.03.2004", "lauren@backtobefore.com", " $"],
	["551", "Reed Tim", "02.03.2004", "timothyereed@excite.com", " $"],
	["552", "Roth Moses", "02.03.2004", "moses_roth@emerson.edu", " $"],
	["553", "Lewin Adam", "02.03.2004", "Adam@ievfx.com", " $"],
	["554", "Broadbin Ryan", "02.03.2004", "ryanbroadbin@snet.net", " $"],
	["555", "Huque Mohammed", "02.03.2004", "mohammedenamulh@hotmail.com", " $"],
	["556", "Moore Alan", "02.03.2004", "bufilm@bu.edu", " $"],
	["557", "Stone Alice", "02.03.2004", "filkela@aol.com", " $"],
	["558", "Rivera Zeneida", "02.03.2004", "sweetness310773@aol.com", " $"],
	["559", "Mortimer Lindsey", "02.03.2004", "lmortimerphoto@hotmail.com", " $"],
	["560", "Lemay Jacques", "02.03.2004", "jacques_lemay@yahoo.ca", " $"],
	["561", "Jasinski Dave", "02.03.2004", "creative4evr@yahoo.com", " $"],
	["562", "Spiegelman David", "02.03.2004", "McCaffreyFPS@yahoo.com", " $"],
	["563", "Herndon John", "02.03.2004", "schreberfilm@yahoo.com", " $"],
	["564", "Morrison Frank", "02.03.2004", "MCFrank12@aol.com", " $"],
	["565", "Walsh Joseph", "02.03.2004", "wsk8joe@aol.com", " $"],
	["566", "Babb Stacey", "02.03.2004", "jspcast@hotmail.com", " $"],
	["567", "Abdul Ali", "02.03.2004", "specaillover711@yahoo.com", " $"],
	["568", "retzlaff julie", "02.03.2004", "julieretzlaff@hotmail.com", " $"],
	["569", "E. G. Josh", "02.03.2004", "JoshEG@Brown.edu", " $"],
	["570", "Brown Pete", "02.03.2004", "Pete@ghettobob.com", " $"],
	["571", "Nicholas Michael", "02.03.2004", "Act@BrainAcheProductions.com", " $"],
	["572", "Rizzo Jill", "02.03.2004", "GenH210@aol.com", " $"],
	["573", "Hauger Gary", "02.03.2004", "ghauger@adelphia.net", " $"],
	["574", "Davenport Adam", "02.03.2004", "adam.davenport@yale.edu", " $"],
	["575", "Pratt Daemeon", "02.03.2004", "6x6@rabidskunk.com", " $"],
	["576", "McNulty Mike", "02.03.2004", "mmcnulty@broadstreet.com", " $"],
	["577", "young david", "02.03.2004", "davidyoungfilms@yahoo.com", " $"],
	["578", "lubeski sheila", "02.03.2004", "prestige28@juno.com", " $"],
	["579", "harjes Blake", "02.03.2004", "blakeharjes@yahoo.com", " $"],
	["580", "donovan garth", "02.03.2004", "okbreathe@hotmail.com", " $"],
	["581", "Ippolite Dave", "02.03.2004", "dippolite@yahoo.com", " $"],
	["582", "Konstantakopoulos Ioannis Isaak", "02.03.2004", "konstant@fas.harvard.edu", " $"],
	["583", "Millios Bill", "02.03.2004", "dangerouscrosswinds@yahoo.com", " $"],
	["584", "lee pete", "02.03.2004", "nomoretitanic@yahoo.com", " $"],
	["585", "Edmands Lance", "02.03.2004", "lce203@nyu.edu", " $"],
	["586", "Edmands Lance", "02.03.2004", "Lce203@nyu.edu", " $"],
	["587", "Lewis Mark", "02.03.2004", "levrock@webtv.net", " $"],
	["588", "Matulef Paul", "02.03.2004", "pm@vzavenue.net", " $"],
	["589", "Okamoto Bryan", "02.03.2004", "duyanoleo@aol.com", " $"],
	["590", "Hebert Janna", "02.03.2004", "Quack17@aol.com", " $"],
	["591", "Ostojic Liska", "02.03.2004", "jaywalkpro3@hotmail.com", " $"],
	["592", "Frame Ryan", "02.03.2004", "makingthefilm@yahoo.com", " $"],
	["593", "Stumpff Susan", "02.03.2004", "talentfaces@cs.com", " $"],
	["594", "Faux Stacy", "02.03.2004", "STAYSEA73@HOTMAIL.COM", " $"]],
	colDef :
	[
	{
		title : "ID",
		titleClass : "", //default for th
		type : "Number",
		width : 75, //auto
		alignment : "center",
		compareFunction : compare,
		isVisible : true,
		useAutoIndex : false,
		useAutoFilter : false
	},
	{
		title : "Name",
		titleClass : "",
		type : "String",
		width : 150, //auto
		alignment : "",
		compareFunction : compare,
		isVisible : true,
		useAutoIndex : false,
		useAutoFilter : false
	},
	{
		title : "Reg. date",
		titleClass : "", //default for th
		type : "Date",
		width : 120, //auto
		alignment : "center",
		compareFunction : compare,
		isVisible : true,
		useAutoIndex : true,
		useAutoFilter : true
	},
	{
		title : "E-mail",
		titleClass : "", //default for th
		type : "Email",
		width : 150, //auto
		alignment : "right",
		compareFunction : compare,
		isVisible : true,
		useAutoIndex : false,
		useAutoFilter : false
	},
	{
		title : "Account",
		titleClass : "", //default for th
		type : "Currency",
		width : 100, //auto
		alignment : "center",
		compareFunction : compare,
		isVisible : true,
		useAutoIndex : true,
		useAutoFilter : true
	} ],
	keyCol : "ID",
	//rowHandler : rowHandler,
	rowStyle : {
		markClass : "mark",
		darkClass : "dark",
		lightClass : "light",
		hoverClass : "hover"
	},
	tableStyle : {
		tableClass : "common",
		thClass : "common",
		border : 0,
		cellpadding : 2,
		cellspacing : 1
	},
	imgSortAsc : 	{
		src : "img/sortasc.gif", width : 10, height : 10
	},
	imgSortDesc : 	{
		src : "img/sortdesc.gif", width : 10, height : 10
	},
	imgSortAscActive : 	{
		src : "img/sortasca.gif", width : 10, height : 10
	},
	imgSortDescActive : 	{
		src : "img/sortdesca.gif", width : 10, height : 10
	},
	imgMultiSortAscActive : 	{
		src : "img/sortascma.gif", width : 10, height : 10
	},
	imgMultiSortDescActive : 	{
		src : "img/sortdescma.gif", width : 10, height : 10
	},
	imgFirstPage : {
		src : "img/firstpage.gif", width : 10, height : 10
	},
	imgLastPage : 	{
		src : "img/lastpage.gif", width : 10, height : 10
	},
	imgPrevPage : 	{
		src : "img/prevpage.gif", width : 10, height : 10
	},
	imgNextPage : 	{
		src : "img/nextpage.gif", width : 10, height : 10
	}
}; 